// -------------------------------------------------------------- -*- Java -*- 
//  Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
// --------------------------------------------------------------------------- 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// --------------------------------------------------------------------------- 
// FILE NAME        : MapMouseListener.java
// DESCRIPTION      : The listener for the map
// DATE             : 08/04/2002
// AUTHORS          : Olivier Leprince
// PROJECT          : Freeciv Java 
// CATEGORY         : Map part
// --------------------------------------------------------------------------- 

package org.freeciv.client.map;

import java.awt.event.*;
import org.freeciv.common.Map;
import org.freeciv.client.Client;



/**
 * Listener for Map Key events
 * @author Olivier Leprince
 */
public class MapMouseListener extends MouseAdapter
{

  /** The client */
  private Client m_client;

  /** The map */
  private Map m_map;;

  public MapMouseListener(Client client, Map map)
  {
    m_client = client;
    m_map = map;
  }

  public void mousePressed(MouseEvent e)
  {
    System.out.println("Click "+e.getX()+","+e.getY());
  }

}
